summaryrefslogtreecommitdiffstats
path: root/tests/libptxdisttest.sh
diff options
context:
space:
mode:
authorJochen Frieling <j.frieling@pengutronix.de>2008-06-16 17:56:33 +0000
committerJochen Frieling <j.frieling@pengutronix.de>2008-06-16 17:56:33 +0000
commit52646d5e630f8652ccd6f06836fb5ec38915e1a8 (patch)
tree4ce02393bfc9e10c38b7738fc3d9ac46326185ae /tests/libptxdisttest.sh
parent7052d2b16a829d59531fb2b568ed59e6f6d12160 (diff)
downloadptxdist-52646d5e630f8652ccd6f06836fb5ec38915e1a8.tar.gz
ptxdist-52646d5e630f8652ccd6f06836fb5ec38915e1a8.tar.xz
* libptxdisttest.sh: fix logfile path
git-svn-id: https://svn.pengutronix.de/svn/ptxdist/trunks/ptxdist-trunk@8528 33e552b5-05e3-0310-8538-816dae2090ed
Diffstat (limited to 'tests/libptxdisttest.sh')
-rw-r--r--tests/libptxdisttest.sh9
1 files changed, 6 insertions, 3 deletions
diff --git a/tests/libptxdisttest.sh b/tests/libptxdisttest.sh
index 6309e246a..c4e15862b 100644
--- a/tests/libptxdisttest.sh
+++ b/tests/libptxdisttest.sh
@@ -1,3 +1,5 @@
+#!/bin/bash
+
# Library for acctest acceptance tests done by ssh access to the target
# to be sourced at beginning of tests/acctest bash script
#
@@ -8,7 +10,7 @@
# Choose the communication method: 'ssh' or 'rsh'
SSH_COMMAND='rsh'
-LOGFILE="${PTXDIST_WORKSPACE}/test.log"
+LOGFILE="${PTXDIST_WORKSPACE}/test${PTXDIST_PLATFORMSUFFIX}.log"
RED='\0033[1;31m'
@@ -57,7 +59,7 @@ remote() {
;;
'rsh')
echo "rsh -l root ${PTXCONF_BOARDSETUP_TARGETIP} $1" >> "$LOGFILE"
- local stdoutret=$(rsh -l root ${PTXCONF_BOARDSETUP_TARGETIP} $1'; echo ret=$?') 2>> "$LOGFILE"
+ local stdoutret=$(rsh -l root ${PTXCONF_BOARDSETUP_TARGETIP} $*'; echo ret=$?') 2>> "$LOGFILE"
;;
*)
echo "Error: No or wrong remote-shell command defined in test script $0" >> "$LOGFILE"
@@ -65,7 +67,7 @@ remote() {
esac
local stdout=$(echo "$stdoutret" | head -n-1)
local retvalline=$(echo "$stdoutret" | tail -n1)
- if [ ${retvalline:0:4} = "ret=" ]
+ if [ "${retvalline:0:4}" = "ret=" ]
then # The "ret=" is on a line of its own
local retvallinestdoutpart=""
local retvallineretpart=""
@@ -128,6 +130,7 @@ remote_file() {
*)
echo "Syntax error in test script $0" >> "$LOGFILE"
false
+ ;;
esac
}